UbixOS V2 2.0

Public Member Functions
prefix_option Struct Reference

`#include <nd6.h>`

Collaboration diagram for prefix_option:

## Public Member Functions
| PACK_STRUCT_FIELD (u32_t preferred_lifetime)
| PACK_STRUCT_FIELD (u32_t valid_lifetime)
| PACK_STRUCT_FLD_8 (u8_t flags)
| PACK_STRUCT_FLD_8 (u8_t length)
| PACK_STRUCT_FLD_8 (u8_t prefix_length)
| PACK_STRUCT_FLD_8 (u8_t reserved2[3])
| PACK_STRUCT_FLD_8 (u8_t site_prefix_length)
| PACK_STRUCT_FLD_8 (u8_t type)
| PACK_STRUCT_FLD_S (ip6_addr_p_t prefix)

## Detailed Description

Definition at line 180 of file nd6.h.

## Member Function Documentation

## ◆ PACK_STRUCT_FIELD() [1/2]

prefix_option::PACK_STRUCT_FIELD | ( | u32_t | preferred_lifetime | ) |

## ◆ PACK_STRUCT_FIELD() [2/2]

prefix_option::PACK_STRUCT_FIELD | ( | u32_t | valid_lifetime | ) |

## ◆ PACK_STRUCT_FLD_8() [1/6]

prefix_option::PACK_STRUCT_FLD_8 | ( | u8_t | flags | ) |

## ◆ PACK_STRUCT_FLD_8() [2/6]

prefix_option::PACK_STRUCT_FLD_8 | ( | u8_t | length | ) |

## ◆ PACK_STRUCT_FLD_8() [3/6]

prefix_option::PACK_STRUCT_FLD_8 | ( | u8_t | prefix_length | ) |

## ◆ PACK_STRUCT_FLD_8() [4/6]

prefix_option::PACK_STRUCT_FLD_8 | ( | u8_t | reserved2[3] | ) |

## ◆ PACK_STRUCT_FLD_8() [5/6]

prefix_option::PACK_STRUCT_FLD_8 | ( | u8_t | site_prefix_length | ) |

## ◆ PACK_STRUCT_FLD_8() [6/6]

prefix_option::PACK_STRUCT_FLD_8 | ( | u8_t | type | ) |

## ◆ PACK_STRUCT_FLD_S()

prefix_option::PACK_STRUCT_FLD_S | ( | ip6_addr_p_t | prefix | ) |

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/net/prot/nd6.h